public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-machine/
Date: Fri, 15 Sep 2017 13:01:49 +0000 (UTC)	[thread overview]
Message-ID: <1505480456.8e439b76725d2f17c33c3977c6547fd3831ce259.mrueg@gentoo> (raw)

commit:     8e439b76725d2f17c33c3977c6547fd3831ce259
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 15 13:00:56 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Fri Sep 15 13:00:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8e439b76

app-emulation/docker-machine: Version bump to 0.12.2

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 app-emulation/docker-machine/Manifest              |  1 +
 .../docker-machine/docker-machine-0.12.2.ebuild    | 39 ++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/app-emulation/docker-machine/Manifest b/app-emulation/docker-machine/Manifest
index 68a0fe2f691..16a720913f2 100644
--- a/app-emulation/docker-machine/Manifest
+++ b/app-emulation/docker-machine/Manifest
@@ -1,3 +1,4 @@
 DIST docker-machine-0.10.0.tar.gz 1605832 SHA256 ed64698723436e68341a1ebd8486006293eac306bfa8628e924b38bfcb5b039d SHA512 337ed74474b5e55e10ccd7c8bb3b778d06fc2c56c1646678715548ddeb41a0b7320212d498ad96cbdd08137f78013506b569c4e0aa0a2f28169264d64d814f7c WHIRLPOOL 06802376ba23ec1706ad09c784e3ceb70aab439d88523c2845a69a895e9a31911737bbf889f91627caae79e31cf8039265382183f7112987f0de6aea58adf138
 DIST docker-machine-0.12.0.tar.gz 1663612 SHA256 2238dbb8580ca2399c64fa6cda0089a9dde6142d4dcbb8d750aedbeee042fbfe SHA512 5fd27fcae1a44ed45db229342c93b3d53f0c193eaaf95d8f12d6e2be830c14c13154fd9338050f28b52bc0a5f8586bd72b802afc042b8d7f6c4d5dd5bc4c12ac WHIRLPOOL c0e6929447a1c6c582ce5e1aa2a01452661d9e1b9edcd43de75fd3300f200454c7b94196cf38a055befbebceb75decb7a303108ebd19e0512dae56d9ab55b6af
+DIST docker-machine-0.12.2.tar.gz 1725590 SHA256 d8b89fcaa8226bd0ed294630b12740def88c70b1924ca4cc1ea05a19b25c05a3 SHA512 58b2ed13b56034f5bfb8374397aead67c669fc544409932f6c29ca56578ad61b3f584a8f32b281cafac56a9647d6e215ab5138045c2c6810a5d202c68bfdb3b0 WHIRLPOOL 391f7dc350ff45cc8754a1f17162b78879ebd81dee38be83cda4c7f78aaccaecf5917ad55fad6e22e9540401ddb10a355a3f17e91eddf2761686981dbf86dfed
 DIST docker-machine-0.9.0.tar.gz 1603705 SHA256 8e445e70a92c98a5e73594d8aea07b31dda6fa4ed2d1e7643663f0267e05f25f SHA512 f405f4b50e493d8c3e7526e89c8b45edf9167c9c04a1dfc9dafad3070f32a9a38570f02b900ceb322a43c596558c07b8f0b060cc4afe1fe2b6b6f4af0179a779 WHIRLPOOL 39b504327264c6f0ba2268fac2fa03c1b4f5f93c9e347d6f459e4a5f6bbfe773c5c272fb63d10fb272b92aa622e7474679f67200583f10fb5156f3198b0c1adb

diff --git a/app-emulation/docker-machine/docker-machine-0.12.2.ebuild b/app-emulation/docker-machine/docker-machine-0.12.2.ebuild
new file mode 100644
index 00000000000..1697e3defa6
--- /dev/null
+++ b/app-emulation/docker-machine/docker-machine-0.12.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+EGO_PN=github.com/docker/machine
+
+if [[ ${PV} = *9999* ]]; then
+	inherit golang-vcs
+else
+	KEYWORDS="~amd64"
+	EGIT_COMMIT="v${PV}"
+	SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+	inherit golang-vcs-snapshot
+fi
+inherit golang-build
+
+DESCRIPTION="Machine management for a container-centric world"
+HOMEPAGE="https://docs.docker.com/machine/"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+RESTRICT="test"
+S=${WORKDIR}/${P}/src/${EGO_PN}
+
+src_prepare() {
+	default
+	# don't pre-strip binaries
+	sed -e 's|\(GO_LDFLAGS := $(GO_LDFLAGS) -w\) -s|\1|' -i mk/main.mk ||die
+}
+
+src_compile() {
+	CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${WORKDIR}/${P}" emake build || die
+}
+
+src_install() {
+	dobin bin/*
+	dodoc CHANGELOG.md CONTRIBUTING.md README.md ROADMAP.md
+}


             reply	other threads:[~2017-09-15 13:01 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-15 13:01 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-09-19  1:48 [gentoo-commits] repo/gentoo:master commit in: app-emulation/docker-machine/ Zac Medico
2019-09-19  1:48 Zac Medico
2017-10-25 19:07 Zac Medico
2017-10-25 19:06 Zac Medico
2017-06-29 16:29 Zac Medico
2017-03-07 21:25 Zac Medico
2017-03-07 17:12 Zac Medico
2017-03-07 17:09 Zac Medico
2017-01-20 16:44 Zac Medico
2016-10-26 15:29 Zac Medico
2016-10-26 15:13 Zac Medico
2016-04-15 18:44 Zac Medico
2016-04-15 18:40 Zac Medico
2016-03-25 20:13 Zac Medico
2015-12-27 19:04 Zac Medico
2015-12-06 22:08 Zac Medico
2015-08-16  0:25 Zac Medico
2015-08-15 23:04 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1505480456.8e439b76725d2f17c33c3977c6547fd3831ce259.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox